<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Exemplo desenho assinatura eletrônica</title>
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <style media="screen">
        /* 
        * Para alterar a fonte é necessário indicar onde está seu arquivo fonte. Ele pode ser um arquivo disponível na web ou um arquivo aramazenado localmente.
        * Além disso, é preciso declarar no CSS, conforme o padrão abaixo, e alterar o parâmetro "fontFamily" na função "GetSignatureImage" do arquivo "script-customizável.js".
        * A fonte obrigatoriamente deve ser carregada(utilizada) no DOM da página antes de ser utilizada para gerar a imagem da assinatura cursiva.
        */

        /* Importar uma fonte armazenada externamente: */        
        @import url('https://fonts.googleapis.com/css?family=Aguafina+Script&display=swap');
        @import url('https://fonts.googleapis.com/css?family=Allura&display=swap');        
        @import url('https://fonts.googleapis.com/css?family=Bilbo+Swash+Caps&display=swap');        
        
        /* Importar uma fonte armazenada em um arquivo local */
        @font-face {
            font-family: "parisienne";
            src: url("fonts/parisienne.ttf");
        }
        
        /* Quadro tracejado que indica local da assinatura. Deve ficar obrigatoriamente sob o canvas.*/
        .canvas-dashed-line {
            z-index: -1;
            position: absolute;
            width: 520px;
            height: 95px;
            top: 40px;
            left: 70px;
            border: 1px dashed rgb(0, 0, 0, 0.1);
        }

        .canvas-dashed-line-for-text {
            z-index: -1;
            position: absolute;
            width: 520px;
            height: 95px;
            top: 40px;
            left: 70px;
            border: 1px dashed rgb(0, 0, 0, 0.1);
        }

        /* Redimensiona o canvas para o mobile */
        @media (max-width: 992px) {
            .container {
                width: 100%;
            }

            /* Aumenta o div externo */
            .canvas-container{
                height: 250px;
            }

            /* Aumenta a linha tracejada */
            .canvas-dashed-line {
                top: 57px;
                left: 90px;
                -webkit-transform : scale(1.5);
                -webkit-transform-origin : 0 0;
            }

            /* Aumenta o canvas */
            canvas {
                -webkit-transform : scale(1.5);
                -webkit-transform-origin : 0 0;
            }
        }
    </style>
</head>

<body>
    <div class="container">
        <header class="header clearfix">
            <h2 class="text-muted"><img src="imgs/marca-signer-150dpi.png" style="width: 40px;" /> Exemplo Desenho para Assinatura Eletrônica</h2>
        </header>
        <div class="row">
            <ul class="nav nav-tabs" role="tablist">
                <li role="presentation" class="active"><a onclick="BryApiModule.textTab(event)" href="#texto" aria-controls="texto" role="tab" data-toggle="tab"> <span class="glyphicon glyphicon-text-color" aria-hidden="true"></span> Texto</a></li>
                <li role="presentation" ><a onclick="BryApiModule.handwrittenTab(event)" href="#manuscrita" aria-controls="manuscrita" role="tab" data-toggle="tab"> <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span> Manuscrita</a></li>
                <li role="presentation"><a onclick="BryApiModule.uploadTab(event)" href="#messages" aria-controls="messages" role="tab" data-toggle="tab"> <span class="glyphicon glyphicon-upload" aria-hidden="true"></span> Upload</a></li>
            </ul>
            <div class="tab-content container">
                <div style="padding-bottom: 10px"></div>
                <div role="tabpanel" class="tab-pane active" id="texto">
                    <div class="row">
                        <div class="col-md-4">
                            <input oninput="BryApiModule.modifyTextCanvasWhenTyping(event)" type="text" placeholder="Digite seu nome" value="" class="form-control" id="textInput">
                        </div>
                        <div class="col-md-4">                                                          
                            <select class="form-control" onchange="BryApiModule.changeTextCanvasFont(event)">
                                <option style="font-family: Aguafina Script; font-size: xx-large;" customAttrFontFamily="Aguafina Script" customAttrFontSize="45" customAttrFontTopOffset="55">Fonte Aguafina Script</option>
                                <option style="font-family: Allura; font-size: xx-large;" customAttrFontFamily="Allura" customAttrFontSize="50" customAttrFontTopOffset="48">Fonte Allura</option>
                                <option style="font-family: Bilbo Swash Caps; font-size: xx-large" customAttrFontFamily="Bilbo Swash Caps" customAttrFontSize="50" customAttrFontTopOffset="50">Fonte Bilbo Swash Caps</option>
                            </select>
                            <!-- load fonts. Utilize @font-face para importar uma fonte local, linha 21 deste arquivo -->
                            <span style="font-family: Aguafina Script; visibility: hidden;">.</span>                           
                            <span style="font-family: Allura; visibility: hidden;">.</span>
                            <span style="font-family: Bilbo Swash Caps; visibility: hidden;">.</span>
                        </div>
                    </div>
                                
                    <div class="row">
                        <div class="col-md-12">
                            <div class="canvas-dashed-line-for-text"></div>
                            <div id="imagemAssinatura" style="display:inline-block;" ></div>
                        </div>
                    </div>
                </div>
                <div role="tabpanel" class="tab-pane" id="manuscrita">
                    <div class="row">
                        <div style="padding-bottom: 10px"></div>
                        <div class="col">
                            <div class="col-md-4">
                                <div class="btn-group" role="group" aria-label="...">
                                    <button data-toggle="tooltip" data-placement="bottom" title="Delete element" type="button" class="btn btn-default" onclick="BryApiModule.clearHandwrittenCanvas();">
                                        <i class="glyphicon glyphicon-remove-circle" aria-hidden="true"></i>  Limpar
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div style="padding-bottom: 12px"></div>
                        <div class="col">
                            <div class="col-md-4 canvas-container">
                                <div class="canvas-dashed-line"></div>
                                <canvas id="canvasId"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
                <div role="tabpanel" class="tab-pane" id="messages">
                    <div class="row">
                        <div style="padding-bottom: 10px"></div>
                        <div class="col-md-6">
                            <form>
                                <div class="form-group">
                                    <input type="file" class="form-control-file" onchange="BryApiModule.addImageToUploadCanvas(event)" id="uploadedFile" onClick="this.form.reset()" accept=".gif,.jpg,.jpeg,.png,.svg">
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="row">
                        <div style="padding-bottom: 10px"></div>
                        <div class="col-md-4 canvas-container">
                            <div class="canvas-dashed-line"></div>
                            <canvas id="uploadCanvasId"></canvas>
                        </div>
                    </div>                    
                </div>
            </div>
            <hr>
        </div>

        <br>

        <div class="row">            
            <div class="col-md-4">
                <a href="#" id="signButton" class="btn btn-lg btn-info" onclick="BryApiModule.exportImageByTab(); return false;">Exportar Desenho da Assinatura</a>
            </div>   
            <div class="col-md-4">
                <div id="exportedimage"></div>
            </div>         
        </div>

        <footer>
            <div class="container">
                <hr>
                <p>&copy; 2019 BRy Tecnologia S.A</p>
            </div>
        </footer>
        <script src="https://cdn.polyfill.io/v2/polyfill.min.js"></script>
        <script src="js/jquery-3.2.1.min.js"></script>
        <script src="js/bootstrap.min.js"></script>
        <script src="js/script-customizavel.js"></script>
        <script src="js/fabricjs/dist/fabric.min.js"></script>
    </div>
</body>

</html>